import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from "react";
import { Ref, Label as SemanticLabel } from "semantic-ui-react";
import { forwardRef } from "react";
import { func, object, oneOfType } from "prop-types";
import { isNil } from "lodash";
import { throwWhenUnsupportedPropIsProvided } from "@orbit-ui/react-components-shared";
const UNSUPPORTED_PROPS = ["attached", "color", "circular", "corner", "floating", "horizontal", "image", "onClick", "onRemove", "pointing", "prompt", "removeIcon", "ribbon", "tag"];
const propTypes = {
  /**
   * @ignore
   */
  forwardedRef: oneOfType([object, func])
};
export function PureTag(_ref) {
  let {
    forwardedRef
  } = _ref,
      props = _objectWithoutProperties(_ref, ["forwardedRef"]);

  throwWhenUnsupportedPropIsProvided(props, UNSUPPORTED_PROPS, "@orbit-ui/react-label/tag");

  const renderWithRef = () => {
    return React.createElement(Ref, {
      innerRef: forwardedRef
    }, renderTag());
  };

  const renderTag = () => {
    return React.createElement(SemanticLabel, Object.assign({
      tag: true,
      circular: true,
      empty: true
    }, props));
  };

  return isNil(forwardedRef) ? renderTag() : renderWithRef();
}
PureTag.propTypes = propTypes;
export const Tag = forwardRef((props, ref) => React.createElement(PureTag, Object.assign({}, props, {
  forwardedRef: ref
})));